using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Globalization;

namespace Gajda.Controls
{
	public class GajdaTextBox : System.Windows.Forms.TextBox
	{
		private bool _sncoe = true;

		[DefaultValue(true)]
		public bool SelectNextControlOnEnter
		{
			get { return _sncoe; }
			set	{	_sncoe = value; }
		}

		protected override void OnKeyPress(KeyPressEventArgs e)
		{
			if (_sncoe && e.KeyChar == (Char)13)
			{
        e.Handled = true;
				SendKeys.Send("{TAB}");
			}
			else
				base.OnKeyPress(e);
		}
	}
}

