﻿using System;
using System.Collections.Generic;
//using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CVUT.Vorel.controls
{
  public partial class calculator : Form
  {

    Double dblAcc;
    Double dblSec;
    bool blnClear, blnFrstOpen;
    String strOper;

    public calculator()
    {
      InitializeComponent();

      dblAcc = 0;
      dblSec = 0;
      blnFrstOpen = true;
      blnClear = false;
      strOper = new String('=', 1);
    }

    private void btn_clk(object obj, EventArgs ea)
    {
      if (blnClear)
        txtCalc.Text = "";

      Button b3 = (Button)obj;

      txtCalc.Text += b3.Text;

      if (txtCalc.Text == ",")
      {
        txtCalc.Text = "0,";
      }

      dblSec = Convert.ToDouble(txtCalc.Text);

      blnClear = false;
    }
    private void btn_Oper(object obj, EventArgs ea)
    {
      Button tmp = (Button)obj;
      strOper = tmp.Text;
      if (blnFrstOpen)
        dblAcc = dblSec;
      else
        calc();

      blnFrstOpen = false;
      blnClear = true;
    }
    private void btn_clr(object obj, EventArgs ea)
    {
      clear();
    }
    private void btn_equ(object obj, EventArgs ea)
    {
      calc();
    }
    private void calc()
    {

      switch (strOper)
      {

        case "+":
          dblAcc += dblSec;
          break;
        case "-":
          dblAcc -= dblSec;
          break;
        case "*":
          dblAcc *= dblSec;
          break;
        case "/":
          dblAcc /= dblSec;
          break;
      }

      strOper = "=";
      blnFrstOpen = true;
      txtCalc.Text = Convert.ToString(dblAcc, Constants.Separators.FormatProvider);
      dblSec = dblAcc;
    }
    private void btn_func(object obj, EventArgs ea)
    {
      Button tmp = (Button)obj;
      switch (tmp.Text)
      {
        case "Sqrt":
          dblSec = Math.Sqrt(dblSec);
          txtCalc.Text = dblSec.ToString();
          break;
        case "PI":
          dblSec = Math.PI;
          txtCalc.Text = dblSec.ToString();
          break;
        case "±":
          dblSec = -dblSec;
          txtCalc.Text = dblSec.ToString();
          break;
        case "°->R":
          dblSec = dblSec / 180 * Math.PI;
          txtCalc.Text = dblSec.ToString();
          break;
        case "R->°":
          dblSec = dblSec / Math.PI * 180;
          txtCalc.Text = dblSec.ToString();
          break;
        case "Exp+":
          txtCalc.Text += "E+";
          break;
        case "Exp-":
          txtCalc.Text += "E-";
          break;
      }
      
    }
    private void btn_copy(object obj, EventArgs ea)
    {
      if (!(txtCalc.Text == ""))
      {
        Clipboard.SetText(txtCalc.Text);
      }
      else
      {
        Clipboard.SetText(" ");
      }
    }

    private void clear()
    {
      dblAcc = 0;
      dblSec = 0;
      blnFrstOpen = true;
      txtCalc.Text = "";
      txtCalc.Focus();
    }

  }
}
