﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CVUT.Vorel
{
  class Functions
  {

    public static bool IsMuchMore(double a, double b)		// a>>b return 0 else 1
    {
      if (a > 100 * b)
        return true;
      else
        return false;
    }
    public static double ACosh(double v)
    {
      return (Math.Log(v + Math.Sqrt(v * v - 1)));
    }
    public static void Swap(ref double a, ref double b)
    {
      double dummy;

      dummy = a;
      a = b;
      b = dummy;
    }
    public static double StringToDouble(string number, string ErrorMessage)
    {
      double dummy;

      if (!Double.TryParse(number.Replace(Constants.Separators.BadDecimalSeparator, Constants.Separators.DecimalSeparator), System.Globalization.NumberStyles.Float, Constants.Separators.FormatProvider, out dummy))
      {
        throw new Exception(ErrorMessage);
      }
      return dummy;
    }

  }
}
