﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CVUT.Vorel.homogenization.controls
{
  public partial class frmCopyProperties : Form
  {
    public frmCopyProperties()
    {
      InitializeComponent();

      rbFromMatrix.Checked = true;
      rbToMatrix.Checked = true;
    }

    public Constants.EStuctKind From
    {
      get
      {
        if (rbFromMatrix.Checked)
        {
          return Constants.EStuctKind.Matrix;
        }
        else if (rbFromInclusion.Checked)
        {
          return Constants.EStuctKind.Inclusion;
        }
        else if (rbFromResult.Checked)
        {
          return Constants.EStuctKind.Result;
        }
        else
        {
          throw new Exception("Controls: frmCopyProperties: From: no button checked");
        }
      }
    }
    public Constants.EStuctKind To
    {
      get
      {
        if (rbToMatrix.Checked)
        {
          return Constants.EStuctKind.Matrix;
        }
        else if (rbToTow.Checked)
        {
          return Constants.EStuctKind.Tow;
        }
        else
        {
          throw new Exception("Controls: frmCopyProperties: To: no button checked");
        }
      }
    }
  }
}
