﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CVUT.Vorel.heat
{
  public class XmlProject
  {
    public string Name;
    public XmlMatrix _xmlMatrix;
    //public XmlTensor pokus;

    /////////////////////////////////////////////////////////////////////////////////////////////
    public XmlProject()
    {
    }
  }

  public class XmlMatrix
  {

    public string Position;
    /////////////////////////////////////////////////////////////////////////////////////////////
    public XmlMatrix(Matrix _matrix)
    {
      //XmlTensor HeatConduct = new XmlTensor(_matrix.HeatConducTensor);
    }
  }

  public class XmlTensor
  {
    public string[] _component;
    /////////////////////////////////////////////////////////////////////////////////////////////
    public XmlTensor(Tensor _tensor)
    {
      switch (_tensor.which_order)
      {
        case 1:
          _component = new string[_tensor.how_many_lines];
          for(int i=0; i<_tensor.how_many_lines; i++)
          {
            _component[i] = Convert.ToString(_tensor[i], Constants.Separators.FormatProvider);
          }
          break;

        case 2:
          _component = new string[_tensor.how_many_lines*_tensor.how_many_columns];
          int columns = _tensor.how_many_columns;

          for(int i=0; i<_tensor.how_many_lines; i++)
          {
            for(int j=0; j<_tensor.how_many_columns; j++)
            {
              _component[i * columns + j] = Convert.ToString(_tensor[i, j], Constants.Separators.FormatProvider);
            }
          }
          break;

        case 3:
          _component = new string[_tensor.how_many_lines*_tensor.how_many_columns*_tensor.how_many_lines2];
          int columns1 = _tensor.how_many_columns;
          int lines2 = _tensor.how_many_lines2;

          for(int i=0; i<_tensor.how_many_lines; i++)
          {
            for(int j=0; j<_tensor.how_many_columns; j++)
            {
              for(int k=0; k<_tensor.how_many_lines2; k++)
              {
                _component[i * columns1 * lines2 + j * lines2 + k] = Convert.ToString(_tensor[i, j, k], Constants.Separators.FormatProvider);
              }
            }
          }
          break;

        case 4:
          for(int i=0; i<_tensor.how_many_lines; i++)
          {
            for(int j=0; j<_tensor.how_many_columns; j++)
            {
              for(int k=0; k<_tensor.how_many_lines2; k++)
              {
                for(int l=0; l<_tensor.how_many_columns2; l++)
                {
                  ;
                }
              }
            }
          }
          break;

        default:
          throw new Exception("Save: MatrixToXml: invalid Tensors order!");
      }
    }

  }
  
}
